The BOOST_PP_TUPLE_POP_BACK_Z macro pops an element from the end of an tuple. It reenters BOOST_PP_REPEAT with maximum efficiency.

#### Usage

BOOST_PP_TUPLE_POP_BACK_Z(z, tuple) (v)

#### Arguments

z
  The next available BOOST_PP_REPEAT dimension.
tuple
  The tuple to pop an element from.

#### Remarks

This macro returns tuple after removing the last element. If tuple has only a single element, it remains unchanged since a tuple must have at least one element.

#### See Also

- BOOST_PP_TUPLE_POP_BACK

#### Requirements

Header: <boost/preprocessor/tuple/pop_back.hpp>

© Copyright Edward Diener 2013

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)